GELF_UPDATE_EHDR(3)

NAME
gelf_update_ehdr - copy a class-independent ELF header into an ELF descriptor

SYNOPSIS
#include <gelf.h>
int gelf_update_ehdr(Elf *elf, GElf_Ehdr *src);

DESCRIPTION
gelf_update_ehdr() copies the class-independent ELF header from the structure pointed to by src into the ELF descriptor elf . The header is translated as necessary to match the class ( ELFCLASS32 or ELFCLASS64) of the underlying object. If elf has class ELFCLASS32 then e_entry, e_phoff and e_shoff must be expressible as 32-bit values. This function also marks the Ehdr dirty (see elf_flagehdr()).

PARAMETERS

elf Pointer to an ELF descriptor of kind ELF_K_ELF.

src Pointer to a GElf_Ehdr structure that holds the caller’s desired header contents. Must not be NULL.

RETURN VALUE
On success, gelf_update_ehdr() returns a non-zero value. On failure, it returns 0 and sets elf_errno. If elf is NULL, then 0 is returned without setting elf_errno.

SEE ALSO
gelf_getehdr(3), gelf_newehdr(3), elf_flagehdr(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.